tarina

git clone https://git.tarina.org/tarina
Log | Files | Refs | README | LICENSE

Makefile (20616B)


      1 # Makefile for PO directory in any package using GNU gettext.
      2 # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
      3 #
      4 # This file can be copied and used freely without restrictions.  It can
      5 # be used in projects which are not available under the GNU General Public
      6 # License but which still want to provide support for the GNU gettext
      7 # functionality.
      8 # Please note that the actual code of GNU gettext is covered by the GNU
      9 # General Public License and is *not* in the public domain.
     10 #
     11 # Origin: gettext-0.18
     12 GETTEXT_MACRO_VERSION = 0.18
     13 
     14 PACKAGE = alsa-utils
     15 VERSION = 1.1.3
     16 PACKAGE_BUGREPORT = 
     17 
     18 SHELL = /bin/sh
     19 
     20 
     21 srcdir = .
     22 top_srcdir = ..
     23 
     24 
     25 prefix = /usr
     26 exec_prefix = ${prefix}
     27 datarootdir = ${prefix}/share
     28 datadir = ${datarootdir}
     29 localedir = ${datarootdir}/locale
     30 gettextsrcdir = $(datadir)/gettext/po
     31 
     32 INSTALL = /usr/bin/install -c
     33 INSTALL_DATA = ${INSTALL} -m 644
     34 
     35 # We use $(mkdir_p).
     36 # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
     37 # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
     38 # ${SHELL} /home/pi/tarina/alsa-utils-1.1.3/install-sh does not start with $(SHELL), so we add it.
     39 # In automake >= 1.10, /bin/mkdir -p is derived from ${MKDIR_P}, which is defined
     40 # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
     41 # versions, $(mkinstalldirs) and $(install_sh) are unused.
     42 mkinstalldirs = $(SHELL) ${SHELL} /home/pi/tarina/alsa-utils-1.1.3/install-sh -d
     43 install_sh = $(SHELL) ${SHELL} /home/pi/tarina/alsa-utils-1.1.3/install-sh
     44 MKDIR_P = /bin/mkdir -p
     45 mkdir_p = /bin/mkdir -p
     46 
     47 GMSGFMT_ = :
     48 GMSGFMT_no = :
     49 GMSGFMT_yes = :
     50 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
     51 MSGFMT_ = :
     52 MSGFMT_no = :
     53 MSGFMT_yes = :
     54 MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
     55 XGETTEXT_ = :
     56 XGETTEXT_no = :
     57 XGETTEXT_yes = :
     58 XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
     59 MSGMERGE = msgmerge
     60 MSGMERGE_UPDATE = : --update
     61 MSGINIT = msginit
     62 MSGCONV = msgconv
     63 MSGFILTER = msgfilter
     64 
     65 POFILES =  de.po fr.po ja.po
     66 GMOFILES =  de.gmo fr.gmo ja.gmo
     67 UPDATEPOFILES =  de.po-update fr.po-update ja.po-update
     68 DUMMYPOFILES =  de.nop fr.nop ja.nop
     69 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
     70 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
     71 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
     72 $(POFILES) $(GMOFILES) \
     73 $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
     74 
     75 POTFILES = \
     76      ../alsamixer/card_select.c \
     77      ../alsamixer/cli.c \
     78      ../alsamixer/device_name.c \
     79      ../alsamixer/die.c \
     80      ../alsamixer/mixer_display.c \
     81      ../alsamixer/mixer_widget.c \
     82      ../alsamixer/proc_files.c \
     83      ../alsamixer/textbox.c \
     84      ../aplay/aplay.c \
     85      ../seq/aconnect/aconnect.c \
     86      ../seq/aseqnet/aseqnet.c \
     87      ../speaker-test/speaker-test.c
     88 
     89 CATALOGS =  de.gmo fr.gmo ja.gmo
     90 
     91 # Makevars gets inserted here. (Don't remove this line!)
     92 # Makefile variables for PO directory in any package using GNU gettext.
     93 
     94 # Usually the message domain is the same as the package name.
     95 DOMAIN = $(PACKAGE)
     96 
     97 # These two variables depend on the location of this directory.
     98 subdir = po
     99 top_builddir = ..
    100 
    101 # These options get passed to xgettext.
    102 XGETTEXT_OPTIONS = --keyword=_ --keyword=N_
    103 
    104 # This is the copyright holder that gets inserted into the header of the
    105 # $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
    106 # package.  (Note that the msgstr strings, extracted from the package's
    107 # sources, belong to the copyright holder of the package.)  Translators are
    108 # expected to transfer the copyright for their translations to this person
    109 # or entity, or to disclaim their copyright.  The empty string stands for
    110 # the public domain; in this case the translators are expected to disclaim
    111 # their copyright.
    112 COPYRIGHT_HOLDER = The ALSA Team
    113 
    114 # This is the email address or URL to which the translators shall report
    115 # bugs in the untranslated strings:
    116 # - Strings which are not entire sentences, see the maintainer guidelines
    117 #   in the GNU gettext documentation, section 'Preparing Strings'.
    118 # - Strings which use unclear terms or require additional context to be
    119 #   understood.
    120 # - Strings which make invalid assumptions about notation of date, time or
    121 #   money.
    122 # - Pluralisation problems.
    123 # - Incorrect English spelling.
    124 # - Incorrect formatting.
    125 # It can be your email address, or a mailing list address where translators
    126 # can write to without being subscribed, or the URL of a web page through
    127 # which the translators can contact you.
    128 MSGID_BUGS_ADDRESS =
    129 
    130 # This is the list of locale categories, beyond LC_MESSAGES, for which the
    131 # message catalogs shall be used.  It is usually empty.
    132 EXTRA_LOCALE_CATEGORIES =
    133 
    134 # This tells whether the $(DOMAIN).pot file contains messages with an 'msgctxt'
    135 # context.  Possible values are "yes" and "no".  Set this to yes if the
    136 # package uses functions taking also a message context, like pgettext(), or
    137 # if in $(XGETTEXT_OPTIONS) you define keywords with a context argument.
    138 USE_MSGCTXT = no
    139 
    140 # These options get passed to msgmerge.
    141 # Useful options are in particular:
    142 #   --previous            to keep previous msgids of translated messages,
    143 #   --quiet               to reduce the verbosity.
    144 MSGMERGE_OPTIONS =
    145 
    146 .SUFFIXES:
    147 .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
    148 
    149 .po.mo:
    150 	@echo "$(MSGFMT) -c -o $@ $<"; \
    151 	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
    152 
    153 .po.gmo:
    154 	@lang=`echo $* | sed -e 's,.*/,,'`; \
    155 	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
    156 	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
    157 	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
    158 
    159 .sin.sed:
    160 	sed -e '/^#/d' $< > t-$@
    161 	mv t-$@ $@
    162 
    163 
    164 all: check-macro-version all-yes
    165 
    166 all-yes: stamp-po
    167 all-no:
    168 
    169 # Ensure that the gettext macros and this Makefile.in.in are in sync.
    170 check-macro-version:
    171 	@test "$(GETTEXT_MACRO_VERSION)" = "0.18" \
    172 	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.18" 1>&2; \
    173 	       exit 1; \
    174 	     }
    175 
    176 # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
    177 # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
    178 # we don't want to bother translators with empty POT files). We assume that
    179 # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
    180 # In this case, stamp-po is a nop (i.e. a phony target).
    181 
    182 # stamp-po is a timestamp denoting the last time at which the CATALOGS have
    183 # been loosely updated. Its purpose is that when a developer or translator
    184 # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
    185 # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
    186 # invocations of "make" will do nothing. This timestamp would not be necessary
    187 # if updating the $(CATALOGS) would always touch them; however, the rule for
    188 # $(POFILES) has been designed to not touch files that don't need to be
    189 # changed.
    190 stamp-po: $(srcdir)/$(DOMAIN).pot
    191 	test ! -f $(srcdir)/$(DOMAIN).pot || \
    192 	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
    193 	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
    194 	  echo "touch stamp-po" && \
    195 	  echo timestamp > stamp-poT && \
    196 	  mv stamp-poT stamp-po; \
    197 	}
    198 
    199 # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
    200 # otherwise packages like GCC can not be built if only parts of the source
    201 # have been downloaded.
    202 
    203 # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
    204 # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
    205 $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
    206 	if LC_ALL=C grep 'GNU alsa-utils' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
    207 	  package_gnu='GNU '; \
    208 	else \
    209 	  package_gnu=''; \
    210 	fi; \
    211 	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
    212 	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
    213 	else \
    214 	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
    215 	fi; \
    216 	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
    217 	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
    218 	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
    219 	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
    220 	      --files-from=$(srcdir)/POTFILES.in \
    221 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
    222 	      --msgid-bugs-address="$$msgid_bugs_address" \
    223 	    ;; \
    224 	  *) \
    225 	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
    226 	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
    227 	      --files-from=$(srcdir)/POTFILES.in \
    228 	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
    229 	      --package-name="$${package_gnu}alsa-utils" \
    230 	      --package-version='1.1.3' \
    231 	      --msgid-bugs-address="$$msgid_bugs_address" \
    232 	    ;; \
    233 	esac
    234 	test ! -f $(DOMAIN).po || { \
    235 	  if test -f $(srcdir)/$(DOMAIN).pot; then \
    236 	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
    237 	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
    238 	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
    239 	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
    240 	    else \
    241 	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
    242 	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
    243 	    fi; \
    244 	  else \
    245 	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
    246 	  fi; \
    247 	}
    248 
    249 # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
    250 # every "make" invocation, only create it when it is missing.
    251 # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
    252 $(srcdir)/$(DOMAIN).pot:
    253 	$(MAKE) $(DOMAIN).pot-update
    254 
    255 # This target rebuilds a PO file if $(DOMAIN).pot has changed.
    256 # Note that a PO file is not touched if it doesn't need to be changed.
    257 $(POFILES): $(srcdir)/$(DOMAIN).pot
    258 	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
    259 	if test -f "$(srcdir)/$${lang}.po"; then \
    260 	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
    261 	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
    262 	  cd $(srcdir) \
    263 	    && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
    264 	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
    265 	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
    266 	           *) \
    267 	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
    268 	         esac; \
    269 	       }; \
    270 	else \
    271 	  $(MAKE) $${lang}.po-create; \
    272 	fi
    273 
    274 
    275 install: install-exec install-data
    276 install-exec:
    277 install-data: install-data-yes
    278 	if test "$(PACKAGE)" = "gettext-tools"; then \
    279 	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
    280 	  for file in $(DISTFILES.common) Makevars.template; do \
    281 	    $(INSTALL_DATA) $(srcdir)/$$file \
    282 			    $(DESTDIR)$(gettextsrcdir)/$$file; \
    283 	  done; \
    284 	  for file in Makevars; do \
    285 	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
    286 	  done; \
    287 	else \
    288 	  : ; \
    289 	fi
    290 install-data-no: all
    291 install-data-yes: all
    292 	@catalogs='$(CATALOGS)'; \
    293 	for cat in $$catalogs; do \
    294 	  cat=`basename $$cat`; \
    295 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
    296 	  dir=$(localedir)/$$lang/LC_MESSAGES; \
    297 	  $(mkdir_p) $(DESTDIR)$$dir; \
    298 	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
    299 	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
    300 	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
    301 	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
    302 	    if test -n "$$lc"; then \
    303 	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
    304 	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
    305 	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
    306 	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
    307 	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
    308 	         for file in *; do \
    309 	           if test -f $$file; then \
    310 	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
    311 	           fi; \
    312 	         done); \
    313 	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
    314 	      else \
    315 	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
    316 	          :; \
    317 	        else \
    318 	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
    319 	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
    320 	        fi; \
    321 	      fi; \
    322 	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
    323 	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
    324 	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
    325 	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
    326 	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
    327 	    fi; \
    328 	  done; \
    329 	done
    330 
    331 install-strip: install
    332 
    333 installdirs: installdirs-exec installdirs-data
    334 installdirs-exec:
    335 installdirs-data: installdirs-data-yes
    336 	if test "$(PACKAGE)" = "gettext-tools"; then \
    337 	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
    338 	else \
    339 	  : ; \
    340 	fi
    341 installdirs-data-no:
    342 installdirs-data-yes:
    343 	@catalogs='$(CATALOGS)'; \
    344 	for cat in $$catalogs; do \
    345 	  cat=`basename $$cat`; \
    346 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
    347 	  dir=$(localedir)/$$lang/LC_MESSAGES; \
    348 	  $(mkdir_p) $(DESTDIR)$$dir; \
    349 	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
    350 	    if test -n "$$lc"; then \
    351 	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
    352 	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
    353 	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
    354 	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
    355 	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
    356 	         for file in *; do \
    357 	           if test -f $$file; then \
    358 	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
    359 	           fi; \
    360 	         done); \
    361 	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
    362 	      else \
    363 	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
    364 	          :; \
    365 	        else \
    366 	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
    367 	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
    368 	        fi; \
    369 	      fi; \
    370 	    fi; \
    371 	  done; \
    372 	done
    373 
    374 # Define this as empty until I found a useful application.
    375 installcheck:
    376 
    377 uninstall: uninstall-exec uninstall-data
    378 uninstall-exec:
    379 uninstall-data: uninstall-data-yes
    380 	if test "$(PACKAGE)" = "gettext-tools"; then \
    381 	  for file in $(DISTFILES.common) Makevars.template; do \
    382 	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
    383 	  done; \
    384 	else \
    385 	  : ; \
    386 	fi
    387 uninstall-data-no:
    388 uninstall-data-yes:
    389 	catalogs='$(CATALOGS)'; \
    390 	for cat in $$catalogs; do \
    391 	  cat=`basename $$cat`; \
    392 	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
    393 	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
    394 	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
    395 	  done; \
    396 	done
    397 
    398 check: all
    399 
    400 info dvi ps pdf html tags TAGS ctags CTAGS ID:
    401 
    402 mostlyclean:
    403 	rm -f remove-potcdate.sed
    404 	rm -f stamp-poT
    405 	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
    406 	rm -fr *.o
    407 
    408 clean: mostlyclean
    409 
    410 distclean: clean
    411 	rm -f Makefile Makefile.in POTFILES *.mo
    412 
    413 maintainer-clean: distclean
    414 	@echo "This command is intended for maintainers to use;"
    415 	@echo "it deletes files that may require special tools to rebuild."
    416 	rm -f stamp-po $(GMOFILES)
    417 
    418 distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
    419 dist distdir:
    420 	$(MAKE) update-po
    421 	@$(MAKE) dist2
    422 # This is a separate target because 'update-po' must be executed before.
    423 dist2: stamp-po $(DISTFILES)
    424 	dists="$(DISTFILES)"; \
    425 	if test "$(PACKAGE)" = "gettext-tools"; then \
    426 	  dists="$$dists Makevars.template"; \
    427 	fi; \
    428 	if test -f $(srcdir)/$(DOMAIN).pot; then \
    429 	  dists="$$dists $(DOMAIN).pot stamp-po"; \
    430 	fi; \
    431 	if test -f $(srcdir)/ChangeLog; then \
    432 	  dists="$$dists ChangeLog"; \
    433 	fi; \
    434 	for i in 0 1 2 3 4 5 6 7 8 9; do \
    435 	  if test -f $(srcdir)/ChangeLog.$$i; then \
    436 	    dists="$$dists ChangeLog.$$i"; \
    437 	  fi; \
    438 	done; \
    439 	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
    440 	for file in $$dists; do \
    441 	  if test -f $$file; then \
    442 	    cp -p $$file $(distdir) || exit 1; \
    443 	  else \
    444 	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
    445 	  fi; \
    446 	done
    447 
    448 update-po: Makefile
    449 	$(MAKE) $(DOMAIN).pot-update
    450 	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
    451 	$(MAKE) update-gmo
    452 
    453 # General rule for creating PO files.
    454 
    455 .nop.po-create:
    456 	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
    457 	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
    458 	exit 1
    459 
    460 # General rule for updating PO files.
    461 
    462 .nop.po-update:
    463 	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
    464 	if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
    465 	tmpdir=`pwd`; \
    466 	echo "$$lang:"; \
    467 	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
    468 	echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
    469 	cd $(srcdir); \
    470 	if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
    471 	       '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
    472 	         $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
    473 	       *) \
    474 	         $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
    475 	     esac; \
    476 	   }; then \
    477 	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
    478 	    rm -f $$tmpdir/$$lang.new.po; \
    479 	  else \
    480 	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
    481 	      :; \
    482 	    else \
    483 	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
    484 	      exit 1; \
    485 	    fi; \
    486 	  fi; \
    487 	else \
    488 	  echo "msgmerge for $$lang.po failed!" 1>&2; \
    489 	  rm -f $$tmpdir/$$lang.new.po; \
    490 	fi
    491 
    492 $(DUMMYPOFILES):
    493 
    494 update-gmo: Makefile $(GMOFILES)
    495 	@:
    496 
    497 # Recreate Makefile by invoking config.status. Explicitly invoke the shell,
    498 # because execution permission bits may not work on the current file system.
    499 # Use /bin/bash, which is the shell determined by autoconf for the use by its
    500 # scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
    501 Makefile: Makefile.in.in Makevars $(top_builddir)/config.status POTFILES.in LINGUAS
    502 	cd $(top_builddir) \
    503 	  && /bin/bash ./config.status $(subdir)/$@.in po-directories
    504 
    505 force:
    506 
    507 # Tell versions [3.59,3.63) of GNU make not to export all variables.
    508 # Otherwise a system limit (for SysV at least) may be exceeded.
    509 .NOEXPORT:
    510 # Special Makefile rules for English message catalogs with quotation marks.
    511 
    512 DISTFILES.common.extra1 = quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot
    513 
    514 .SUFFIXES: .insert-header .po-update-en
    515 
    516 en@quot.po-create:
    517 	$(MAKE) en@quot.po-update
    518 en@boldquot.po-create:
    519 	$(MAKE) en@boldquot.po-update
    520 
    521 en@quot.po-update: en@quot.po-update-en
    522 en@boldquot.po-update: en@boldquot.po-update-en
    523 
    524 .insert-header.po-update-en:
    525 	@lang=`echo $@ | sed -e 's/\.po-update-en$$//'`; \
    526 	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; GETTEXTLIBDIR=`cd $(top_srcdir)/src && pwd`; export GETTEXTLIBDIR; fi; \
    527 	tmpdir=`pwd`; \
    528 	echo "$$lang:"; \
    529 	ll=`echo $$lang | sed -e 's/@.*//'`; \
    530 	LC_ALL=C; export LC_ALL; \
    531 	cd $(srcdir); \
    532 	if $(MSGINIT) -i $(DOMAIN).pot --no-translator -l $$lang -o - 2>/dev/null | sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | sed -e 's/.*@//'`.sed 2>/dev/null > $$tmpdir/$$lang.new.po; then \
    533 	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
    534 	    rm -f $$tmpdir/$$lang.new.po; \
    535 	  else \
    536 	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
    537 	      :; \
    538 	    else \
    539 	      echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
    540 	      exit 1; \
    541 	    fi; \
    542 	  fi; \
    543 	else \
    544 	  echo "creation of $$lang.po failed!" 1>&2; \
    545 	  rm -f $$tmpdir/$$lang.new.po; \
    546 	fi
    547 
    548 en@quot.insert-header: insert-header.sin
    549 	sed -e '/^#/d' -e 's/HEADER/en@quot.header/g' $(srcdir)/insert-header.sin > en@quot.insert-header
    550 
    551 en@boldquot.insert-header: insert-header.sin
    552 	sed -e '/^#/d' -e 's/HEADER/en@boldquot.header/g' $(srcdir)/insert-header.sin > en@boldquot.insert-header
    553 
    554 mostlyclean: mostlyclean-quot
    555 mostlyclean-quot:
    556 	rm -f *.insert-header